Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "b05a6c9c-241d-4ed4-bb2a-3f71a3e7ee93",
"date_start": "2026-11-18T13:32:59.8842696+00:00",
"date_end": "2026-11-18T13:32:59.8842696+00:00",
"modified_dateutc": "2026-11-18T13:32:59.8842696+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "50232033-c74c-49fe-87e8-c6a12ee5690e",
"user_code": "sample string 8",
"user": {
"id": "91d9107c-e45d-4757-964c-836ec67a8b76",
"db_language_id": "7dab53b9-e7e6-4e1c-93f3-d6b2b5e9cf1f",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-18T13:32:59.8842696+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "a0046dee-0c5c-4c4f-830e-a73d878b92d6",
"sales_organization": {
"id": "d2f5540d-42ce-4db4-a4bd-1d5a612cd9f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "90c663b4-3b75-4a52-acfd-032bc8819e6d",
"db_currency_id": "b1bd3a41-0b98-4741-aca7-5b16cd70cc08",
"db_language_id": "aef1c5a9-5d68-4f13-97a9-aa97064f3592",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T13:32:59.8842696+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "ec3684af-7cce-4db2-833f-5f1796a3d534",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "373a2c8f-a027-437b-8f7c-97965e8b4280",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-18T13:32:59.8842696+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "ff662fb1-a2a7-4cd4-9bb8-023f380abc74"
},
"user_unavailability_type_id": "e0eb4983-7bce-4540-858f-56719271151e",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "da901b2e-9264-4217-97a6-7e00ff48495a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "d9da98a9-6682-4c34-8f0f-a7ffa325e067",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "d2f5540d-42ce-4db4-a4bd-1d5a612cd9f5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "90c663b4-3b75-4a52-acfd-032bc8819e6d",
"db_currency_id": "b1bd3a41-0b98-4741-aca7-5b16cd70cc08",
"db_language_id": "aef1c5a9-5d68-4f13-97a9-aa97064f3592",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T13:32:59.8842696+00:00"
},
"modified_dateutc": "2026-11-18T13:32:59.8842696+00:00"
}
}